Bug 208129 - net-p2p/btsync: Update to 2.3.5
Summary: net-p2p/btsync: Update to 2.3.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-18 20:24 UTC by joshruehlig
Modified: 2016-03-31 05:24 UTC (History)
1 user (show)

See Also:


Attachments
btsync diff (1.32 KB, patch)
2016-03-18 20:24 UTC, joshruehlig
rakuco: maintainer-approval+
Details | Diff
btsync diff (844 bytes, patch)
2016-03-31 04:58 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joshruehlig 2016-03-18 20:24:39 UTC
Created attachment 168378 [details]
btsync diff

See attached diff.
I haven't had a chance to test this myself but don't forsee any issues.
Comment 1 Kurt Jaeger freebsd_committer 2016-03-30 19:09:29 UTC
testbuilds@work
Comment 2 commit-hook freebsd_committer 2016-03-30 19:35:59 UTC
A commit references this bug:

Author: pi
Date: Wed Mar 30 19:35:52 UTC 2016
New revision: 412192
URL: https://svnweb.freebsd.org/changeset/ports/412192

Log:
  net-p2p/btsync: 2.3.1 -> 2.3.6

  - bug fixes

  PR:		208129
  Submitted by:	joshruehlig@gmail.com (maintainer)

Changes:
  head/net-p2p/btsync/Makefile
  head/net-p2p/btsync/distinfo
Comment 3 Kurt Jaeger freebsd_committer 2016-03-30 19:36:34 UTC
Committed as 2.3.6, I hope this is OK.
Comment 4 joshruehlig 2016-03-30 20:03:28 UTC
2.3.6, no, you ruined everything!!!
... just kidding, I'm sure it's fine.

it's a closed source app, so not much testing/debugging to do anyway.
Comment 5 joshruehlig 2016-03-31 04:58:32 UTC
Created attachment 168804 [details]
btsync diff

I guess I spoke too soon! I'm getting spammed by the freebsd build server.
One tricky thing about this port is because the filename for the download doesn't change between versions 'make makesum' will give you the size/checksum of old versions of the distfiles unless you clean them out first.

Can you please commit this change? Thanks
Comment 6 joshruehlig 2016-03-31 04:59:24 UTC
Reopening till we can fix the distfile
Comment 7 commit-hook freebsd_committer 2016-03-31 05:22:50 UTC
A commit references this bug:

Author: pi
Date: Thu Mar 31 05:22:12 UTC 2016
New revision: 412203
URL: https://svnweb.freebsd.org/changeset/ports/412203

Log:
  net-p2p/btsync: fix distinfo

  The filename for the download doesn't change between versions 'make
  makesum' will give you the size/checksum of old versions of the
  distfiles unless you clean them out first.

  PR:		208129
  Submitted by:	joshruehlig@gmail.com (maintainer)

Changes:
  head/net-p2p/btsync/distinfo
Comment 8 Kurt Jaeger freebsd_committer 2016-03-31 05:23:15 UTC
Thanks, this is really surprising behaviour. Any chance to get
upstream to change this ?
Comment 9 joshruehlig 2016-03-31 05:24:25 UTC
I'll ask, but as it stands that how I think they like presenting their downloads.